Package: java.lang

## Class Byte[]

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `void` | `eachByte(Closure closure)` Traverse through each byte of this Byte array.
    `Writable` | `encodeBase64()` Produce a Writable object which writes the Base64 encoding of the byte array.
    `Writable` | `encodeBase64(boolean chunked)` Produce a Writable object which writes the Base64 encoding of the byte array.
    `Writable` | `encodeHex()` Produces a Writable that writes the hex encoding of the Byte[].

- - ### Methods Detail

    - #### public void eachByte(Closure closure)

      Traverse through each byte of this Byte array. Alias for each.

      Parameters:
        `closure` - a closure
      Since:
        1.5.5
      See Also:
        Object#each(groovy.lang.Closure)

    - #### public Writable encodeBase64()

      Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

      Returns:
        object which will write the Base64 encoding of the byte array
      Since:
        1.0

    - #### public Writable encodeBase64(boolean chunked)

      Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

      Parameters:
        `chunked` - whether or not the Base64 encoded data should be MIME chunked
      Returns:
        object which will write the Base64 encoding of the byte array
      Since:
        1.5.1

    - #### public Writable encodeHex()

      Produces a Writable that writes the hex encoding of the Byte[]. Calling toString() on this Writable returns the hex encoding as a String. The hex encoding includes two characters for each byte and all letters are lower case.

      Returns:
        object which will write the hex encoding of the byte array
      See Also:
        Integer#toHexString(int)